Fixing “Unable to load task handler … for task …” in VSTS/TFS 2015 build

Last week I introduced a client to the new TFS 2015 build system. They happily started experimenting with it, but soon ran into a bit of a cryptic error message saying “Unable to load task handler … for task …”.

naamloos

It turns out that the solution was pretty simple: the version of PowerShell that’s running on the build agent machine needs to be at least version 4.0. You can easily check this by typing “$PSVersionTable” in a PowerShell window. The “PSVersion” should read at least 4.0.

psversiontable

After upgrading the PowerShell version on the build machine, all was fine!

You can download the Windows Management Framework, which includes PowerShell, here:

I hope this helps!

Happy building!

 

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s